Subject: soc.culture.hongkong FAQ, Part II

From: [email-masked] (John Ho)
Date: 22 Nov 92 05:00:18 GMT

Archive-name: hongkong-faq/part2
Last-modified: Sun Aug 23 17:42:31 EDT 1992
Version: 2.1

                              O F F I C I A L 

                       FREQUENTLY ASKED QUESTIONS (FAQ) 

                                   FOR 

                            SOC.CULTURE.HONGKONG

                         PART II - CHINESE COMPUTING

Please contact me if you are the original author of any of the 
question/answer I use in this FAQ.  I would like to give the
credit back to the original author where it belongs.

Also, I am looking for someone who will take care of this portion of
the FAQ for me.  If you would like to volunteer, please contact
John Ho at "[email-masked]".

For now, if you have any questions regarding addition/deletion/modification
to this FAQ, please contact me at "[email-masked]".  Your comments
will be appreciated.

--------------------------------------------------------------------------------

TABLE OF CONTENTS:

1000) GENERAL INFORMATION:
1001)    What do I need to read/write a Chinese file with pc/mac/unix/vax/...?
1002)    Where can I find more Chinese softwares in public domain?
1003)    Where can I find more commercial Chinese softwares?
1004)    Where can I find information about usage frequency of Chinese characters?
1005)    What is GB, BIG5, Unicode and other coding systems?
1006)    How to convert GB/Big5 to dot matrix? 
1007)    What is "hz2PS"? 
1008)    What is Cxterm?
1009)    What is Celvis? 
1010)    What is Cemacs?
1011)    What is ChTex? 
1012)    What is ChiRK?
1013)    What do I use under VMS?  
1014)    What is CCNET?  How can I subscribe it?
1015)    Can someone tell me something about Chinese Windows 3.0?
1016)    Where can I find a public domain Chinese Chess program? 
1017)    Where can I find a Luna Calendar software? 
1018)    Are there any other China/Chinese related interest groups?  
1019)    How do you use these Chinese softwares with the email programs?
1020)    Which Chinese editor support kterm? 
1021)    Does that mean Japanese are more influencial in X environment?
1022)    How come the Japanese can read/post news in Japanese?
1023)    What software do I need in order to bring up a Chinese xterm environment?
1024)    Is there any TeX/LaTeX like Chinese document preparation system?
1025)    Where can I find the Chinese software?
1026)    Are there any other Chinese oriented on-line service?	
1027)  What is MULE?
1028-1999) RESERVED

--------------------------------------------------------------------------------
1000)  GENERAL INFORMATION:
--------------------------------------------------------------------------------
1001)  What do I need to read/write a Chinese file with pc/mac/unix/vax/...?

    One can read/write/print a Chinese file only if he/she has access
    to one of the following:
        a)  PC
        b)  Apple Macintosh
        c)  Unix workstation or an X Terminal. Examples of such hardware
            are Sun, HP WorkStation, Appollo, DecStation (running Ultirx),
            IBM-RT (running AIX), SGI IRIS, Tektronix stations, etc.
        d)  VT-240 terminal on VAX/VMS machine
        e)  Atari system
        f)  PostScript (laser) printer

    For detailed information/help, please E-mail to:

    [email-masked]

    The mail body should contain one or more lines of the following commands
    (text after "--" are comments, therefore should not be in email)

    GET PC      HELP     -- PC Users Help File (by Ruopeng Zhu, Jian Ding)
    GET MAC     HELP     -- Mac Users Help File (by Jack Sun)
    GET CXTERM  HELP     -- X-Window CXTERM Help File (by Yongguang Zhang)
    GET XHZVIEW HELP     -- X-Window XHZVIEW Help File (by Stephen Simpson)
    GET GB2PS   HELP     -- GB to PostScript Format Convertion (by Ruopeng Zhu) 
    GET HELP   INDEX     -- Index of the whole help package in addition to the
                            above help files
    
    [compiled from introduction materials to Hua Xia Wen Zhai, whose 
     official English title is CND Chinese Magazine.  All the help files
     listed above were written by HXWZ volunteers.  Readers can get a list
     of help files by sending command 'index ccman-l' to [email-masked].
     Thanks to Minghui Yao for his corrections.]

--------------------------------------------------------------------------------
1002) Where can I find more Chinese softwares in public domain?
    
    Here are some useful anonymous ftp sites for Chinese related software:

    ahkcus.org  [192.55.187.25]
       This is the KING site of Chinese computing.
       [Directories indicated in parentheses]
       Articles in BIG5 from HKU (big5/),
       IFCSS Newsletters in GB (gb/ifcss-nl/),
       CND Chinese Magazine in GB & postscript (gb/cnd-cm/)
       CND Chinese Magazine(uuencoded) (cnd-cm/)
       CND archives(English) (cnd-g/, cnd-us/, cnd-ca/, cnd-ep/, cnd-packages)
       HKU Chinese News utilities, GB<->BIG5 conversion utilities for
       unix, vms, Mac and PC (src/unix, src/vms/,src/Mac, src/pc/),
       BYX1.1 Chinese Editor (src/pc/)
       NJSTAR2.0 Chinese Editor (src/pc/NJSTAR)
       CWP1.2 Chinese Editor (src/pc/CWP)

    blackbox.hacc.washington.edu [128.95.200.1]
        pub/poorman/
        poor man's Chinese and Japanese TeX.

    chiris.stevens-tech.edu [192.12.216.114]
        ChTeX
        (As of Nov 1990 chiris.stevens-tech.edu directories are locked.
         I don't know when or if they will be open again.
         If you ftp there, the username is supposed to be "ftp" as
         opposed to "anonymous".)

    crl.nmsu.edu [128.123.1.14]
        pub/chinese/
        pub/chinese/fonts/
        pub/misc/
        Chinese X11 fonts, ChTeX, kterm 4.1.2, cxterm, celvis
        dvi2ps that works with ChTeX
        Byx 1.1 (Chinese editor for PC DOS)

    cs.purdue.edu [128.10.2.1]
        pub/ygz/
        cxterm, celvis, cemacs, cclib16* fonts

    ftphost.cac.washington.edu [128.95.112.1]
        pub/
        chinese.tar.Z - assorted programs [some programs are the outdated
                        stuff from old site "june.cs.washington.edu"- The  
                        site has been deleted now]

    hanauma.stanford.edu [36.51.0.16]
        pub/zhongwen/
        beijing24.bdf, Pinyin pronunciation tables,
        Pinyin->GB code table

    [This file was originally compiled by Stephen G Simpson.  Thanks to 
     Lite Lin, Xiaofei Wang, Ricky Yeung and Stephen G Simpson for pointing 
     out some outdated sites and files]

--------------------------------------------------------------------------------
1003)  Where can I find more commercial Chinese softwares?
    {N.B} Many information here are compiled from past postings or private
    emails, some of them are already outdated.  Please check for latest info.

    Here are some commercial publications:

    *** China Books & Periodicals 
       	2929 24th Street
	San Francisco, CA, 94110;
	phone (415) 282-2994

       Name of software / hardware requirements / cost

    1. TianMa II+ / IBM & compatibles, graphics card / $695
    2. ReadyPage / IBM & compatibles, hard disk, graphics card / $595
    3. BrushWriter 4 / Mac 512K, 2 floopies or hard drive || IBM & compatibles,
       graphics card / $599 (Mac), $750 (IBM) (PS/2 version available)
    4. MisHu 2.0 / Mac 512K, 2 floopies or hard drive / $89 ($59 with student
       id)
    5. PX Magic Typist / IBM & compatibles / $99
    6. PX Chinese Magic Typist For TianMa II / IBM & compatibles / $199
    7. Dr Kompac's Computerized Chinese-English English-Chinese Dictionary,
       version 2.0 / IBM & compatibles, hard disk, graphics card / $89

    Also shown in the catalog with little description:
    1.  FeiMa / PS/2 || Mac / no price given
    2.  Rapid Voice Authoring System / IBM / $300

    They also mention 2 programs for learning Chinese:
    1. ChinEase / IBM & compatibles, graphics card / $49.95
    2. Chinese-English Hypercard Flashcards / Mac Plus and above / $99.95

    [from Harlan Seyfer <[email-masked]>, 24 Jan 90.  {N.B} This file
     is certainly outdated, but at least it can give you some hints.  Will
     any kind soul mail me any up-to-date info?  Thanks]

    ---------
     Get "Duke Chinese Typist" (for $25) from

    *** 2111 Campus Drive
	Duke University
	Durham, NC  27706
     
     ---------
     Get Chinese Windows 3.0A from

    *** Information Integration, Inc.
	East Coast: (301)840-8977 (ask Sheena)
	West Coast: (415)840-1320 (ask Eric)
	On the ad:
	*All MS Windows 3.0 features, adding Chinese input and output capability
	*Three fonts (Ming, Yuan[round] and  Hei[black] Ti), scalable
	*Screen input, CangJie, Fast, Inercode, ZhuYin
	*Free wordprocessing, drawing and form applications
	*for business
	*for child education

	Also available: traditional<->simplified ZhiKu (fonts?), PinYin
	input, handwriting input, Chinese OCR.

    ---------
    *** Abest
        83-09 Northern Blvd
        Jackson Heights, NY  11372
        (718)507-8485, fax:507-7795
        It carries the whole line of ET products

     ---------
     Get "Byx 2.1" from

    *** P.O.Box 8012
	Berkeley, CA  94707

	(415)526-2576 (west coast) or 
	(617)424-1592 (east coast)

        More Contact Information:

	MAILING:  YONGXING/SANS SOFTWARE
	          P.O. BOX 1462
	          BROOKLINE, MA 02146

	PHONE/FAX: (617)-424-1592

	Developers:  Yan Yongxin:  (301)-220-3079   (Eastern time)
	             Zhao Sanping: (617)-424-1592   (Eastern time)

	More Information about BYX 2.1, see the file in the following site:

	Site:      ahkcus.org            [ 192.55.187.25 ]
	Directory: src/pc/BYX
	File:      XLBRinfo-BYX21.zip

	Site:      crl.nmsu.edu          [ 128.123.1.14 ]
	Directory: pub/chinese
	File:      XLBRinfo-BYX21.zip

	[from Rupert Zhu, University of Waterloo, August 2, 1991]

    --------
    You can get FoChinese editor and software, you may contact
   	Right Track Computer, 818-443-9991

    --------
    You can get E-Ten for $88.00 and another $5.00 for UPS Next Day Shipping.
    from

    *** Pacific Rim Connection
        3030 Atwater Drive
        Burlingame, CA  94010
        (415)-697-0911, Fax:697-9439

	Remember most of the softwares Pacific Rim has are sold by other
	sources.  However, Pacific Rim has the largest collection of
	oriental language related softwares. Most of the softwares are
	for IBM PC.  Many of them have Mac versions.

Please note that I have no connection with Pacific Rim Connection, Inc.

               Available from Pacific Rim               Others

Chinese Word   BrushWriter 4.5, TianMa II+, FeiMa,      ET, 5-Stroke
Processing     Easyword, Mishu Chinese Accessory for    (WuBiXing), Byx
and Desktop    Mac, MacChinese, Ready Page, Pinxxiee,   (XiaLiBaRen),
Publishing     Jiejing (Shortcut), Chinastar II-5565    DukeWrite?(from Duke),
                                                        Ch-series, CPTS,
                                                        Bisheng

DataBase

Spread Sheet   AhMei (Chart)
and Graphics

accounting                                              (Office Plus)

Draw and       Art(AhTu)
Paint

Education,     Book of Chang: I-Ching, ChinEASE,
Chinese        Bilingual Scholar, Rapid Voice Card,
Tutoring       Chinese Pronunciation, Chinese Survival
               Manual & Language Lab, Chinese
               Flashcard Stack

Game           Xi'an 3.0, Contender GO (new 3-D)        Go

	[from Pacific Rim Connections' catalog, posted by some netlanders]

-------------------------------------------------------------------------------
1004)  Where can I find information about usage frequency of Chinese characters?

    Here are some:

    - A Dictionary of Chinese Character Information, Farton-Science Press Ltd
      Shanghai, 1346 pp. (han4zi xin1xi zi4dian3) in Chinese. It contains
      some 10.000 characters. The frequency is given for the more important
      characters. For the rarely used characters it is anyway not of much use
      to give a certain frequency. The book should be available from:
        International Sales and Marketing Department
        SCIENCE PRESS
        Beijing
        People's Republic of China
      for US$ 28.-. The data should also be available on tape, but the prize
      seems to be very high.
    
    - Bei Guiqin and Zhang Xuetao: Hanzi Pindu Tongji (Chinese Character
      Frequency Statistics) published by the Dianzi Gongye Chuban She
      (Electronic Industry Publishing Company), 1988, 310 pp. (ISBN
      7-5053-0147-11). This book is based on the famous character statistics
      of the middle 70ies. Although the 6000 most frequently used charcters
      are aranged acording to their frequency, the book contains an alphabetical
      pinyin index.
    
    - Bo Yonghe: Hanzi Shuxing Zidian (Chinese Character Atribute Dictionary),
      1989, 1906 pp. Contains a radical index to the main body. There are also
      data on character frequency.
   
    [from [email-masked] (Urs)] 

-------------------------------------------------------------------------------
1005)  What is GB, BIG5, Unicode and other coding systems?

    GB is the official standard in mainland China, and an unofficial
    standard in places where simplified Chinese characters are used, such
    as Singapore and among mainland Chinese resident abroad.  Don't use it
    unless your system is geared exclusively toward simplified characters.
    GB does not distinguish between traditional characters that correspond
    to the same simplified character (such as mian4 ("face") and mian4
    ("noodle, wheat")).

    BIG5 is the official standard in Taiwan and an unofficial standard in
    other places where traditional characters are used, e.g. Hong Kong.
    It has codes for almost twice as many characters as GB.
    
    JIS is the official standard in Japan for Japanese.  Although it
    includes Japanese kanji, I believe it excludes even some commonly used
    Chinese characters.
    
    Unicode is an international standard for character representation. 
    It incorporates codes for simplified Chinese characters, 
    traditional Chinese characters, Japanese, Korean, and
    virtually all alphabets used anywhere in the world.  But the code
    order is not necessarily related to GB, BIG5, or JIS.

-------------------------------------------------------------------------------
1006)  How to convert GB/Big5 to dot matrix? 

There are many ways of doing it, one way to do in unix is:

b2g -b GB_File | readnews > ASCII_File
       GB -->   Big5 --> ASCII

b2g is available via anonymous ftp in the src/unix subdirectory at
ahkcus.org [192.55.187.25].

readnews is available via anonymous ftp in the src/pc/hku subdirectory
at ahkcus.org [192.55.187.25]. [ It is in pc directory but the source
code can be compiled on unix. ]

[From [email-masked]]

Please also note that you can convert BIG5 to ASCII directly from hzview.

[[email-masked] (Dan Jacobson)]

--------------------------------------------------------------------------------
1007)  What is "hz2PS"? 

Hz2ps 2.1 is a slightly enhanced version of hz2ps 2.0.
Since the release of version 2.0 about a year ago, many users have
expressed their wish to print only a selected range of pages, in addition
to the whole file.  Hence, we have this new version.

If only ONE page is converted, the output PostScript file should conform
to Encapsulated PostScript file version 3.0 (EPSF-3.0).
This format facilitates inclusion of the EPS file into other documents.
For example, you can include the file as a figure using psfig in LaTeX.

The program supports both horizontal and vertical printing mode with or
without page numbers.  Other printing options and fonts can also be
selected. Please see the man page "hz2ps.1" for details.

The program "hz2ps 2.1" is now available on the ftp site "ahkcus.org".
(ftp as user anonymous with no need of a password)
The files are
ahkcus.org: src/unix/hz2ps-2.1.tar.Z
ahkcus.org: src/unix/hzfont.tar.Z

Enjoy!

Fung F. Lee 李枫峰

P.S. Another PS converter "gb2ps" by Wei Sun is also in the same directory.
-------------------------------------------------------------------------------
1008) What is Cxterm?

	Cxterm is a Chinese xterm for X11 window system, which supports
both GuoBiao (GB2312-1980) encoding and the Big5 encoding.  There are
currently 12 hanzi input methods.  Users can redefine any existing
input methods or create their own ones, by writing input table files
and load them at run time.

--------------------------------------------------------------------------------
1009) What is Celvis? 
 
	Celvis is a Chinese version of the Unix editor vi/ex.  It can edit
Chinese text, English text, or the mixture of both.  It runs on cxterm
or other Chinese systems (e.g. ETen DOS).

--------------------------------------------------------------------------------
1010) What is Cemacs?

	Cemacs is a Chinese version of the editor emacs.
 
--------------------------------------------------------------------------------
1011) What is ChTex? 

	ChTeX is a Chinese version of TeX/LaTeX, a widely used typeseting
system, Poorman's TeX is another version of TeX which also supports
Chinese.

--------------------------------------------------------------------------------
1012) What is ChiRK?
     ChiRK stands for "CHInese Reader on teKtronics compatible graphics
terminals".  It's a UNIX based program for displaying GouBiao (GB) or BIG5
encoded Chinese Characters in both 8bit (raw) and  7bit (HZ or zW encoding)
format on terminals capable of emulating Tektronics 401x graphics.  Those are
the most common types of graphics terminals around.

     ChiRK 1.2 has been tested and works without any ( yet) problem on following
terminals: Tektronics 4010/4014; GraphOn 225, 230, 140; DEC VT240, VT330/340;
XTerm; Tektool on SunView; EM4105 on IBM-PC; VersaTerm-Pro on Macintosh,  etc.
And it should work on any other type of Tek compatible terminal with few,
if any, lines of the codes changed.

     ChiRK 1.2 now works with USENET Read-News( rn) and UNIX Mail without the
effort of saving the messages containning HZ/zW encoded Chinese texts.

     When reading GuoBiao encoded Chinese characters, you have the option of
choosing a vector font (cclib.v), which works faster, or one bitmap font
(cclib.16), which may look nicer on some of the terminals; or one traditional
(FanTi) font (cclibf.16). Only a bitmap font (chinese.16) is available for
displaying BIG5 encoded characters.  The default screen will display 40
Chinese characters, or 80 ASCII characters per line, and 18 lines each screen.

[[email-masked] (Bo Yang)]

--------------------------------------------------------------------------------
1013) What do I use under VMS?  

	Digital Asia Region, have DECwrite/Hanzi (for simplified Chinese
Char in GB standard internal code) and DECwrite/Hanyu (for Traditional
Chinese Char in TW's internal code) running on either DECwindow or
DECwindow Motif, they are all based on X11, on both DECstation which
run Ultrix and VAXstation which run VMS or Ultrix. It's more than a
word processor, but a typesetting system.

--------------------------------------------------------------------------------
1014)  What is CCNET?  How can I subscribe it?

    The Chinese Computing Network (CCNET) is a computer network forum on
    technologies relating to the use of Chinese on computers. It covers
    a broad range of topics from the technologies for Chinese word processing
    to desktop publishing, both software and hardware.

    The articles in this forum may include:
    a) News of new software, hardwares and technologies;
    b) Product reviews;
    c) New ideas, inspirations;
    d) Comments;
    e) Questions and Answers.

    To subscribe to CCNET, send command
    SUB CCNET-L your name
    to
    [email-masked] or [email-masked]

    [compiled from the welcome message when subscribing to CCNET]
    
--------------------------------------------------------------------------------
1015) Can someone tell me something about Chinese Windows 3.0?

	Chineses Windows 3.0 - the general feedback is good, some
improvements to be made include scalable font, more Chinese fonts,
more input methods.  And some applications, like Words for Windows
does not support Chinese, and Corel-Draw does not use the system
Chinese font.

--------------------------------------------------------------------------------
1016) Where can I find a public domain Chinese Chess program? 

	Haiying Wang wrote a cchess program for sun/4, the binary can be
anonymously ftp-ed from menaik.cs.ualberta.ca [129.128.4.241] as
/pub/CChess.tar.Z.  It is not a freeware though the binary is
distributed, readers say it is buggy.

--------------------------------------------------------------------------------
1017) Where can I find a Luna Calendar software? 

*The software is available on the anonymous ftp server ahkcus.org
*as src/unix/lunar-2.1.tar.Z

--------------------------------------------------------------------------------
1018)  Are there any other China/Chinese related interest groups?  

    [From:    hartmut bohn ldv <[email-masked]> 
       OR:    [email-masked]]

CCMAN-L
-------
Purpose:      An electronic magazine published weekly in
	      the Chinese language. Viewing software is provided
	      for a wide variety of terminals.
Location:     USA (University of Georgia)
Moderated:    Yes, published by CND
Subscription: "SUB CCMAN-L <Your Full Name>" to server
Addresses:    1. List:          [email-masked]
			    or: [email-masked]
	      2. Server:        [email-masked]
			    or: [email-masked]
	      3. Organised by:  CND
	      4. Moderator:     [email-masked] 

CCNET (Chinese Computing Network)
---------------------------------
Purpose:      The Chinese Computing Network is a computer network
	      forum on technologies relating to the use of
	      Chinese on computers.
Location:     USA (New York)
Moderated:    No
Subscription: "SUB CCNET-L <Your full name>" to server
Addresses:    1. List:          [email-masked]
			   or:  [email-masked]
	      2. Server:        [email-masked]
			   or:  [email-masked]
	      3. Organised by:  [email-masked] (Weihe Guan)

CHINA
-----
Purpose:      Discussions on topics related to
	      Chinese Studies
Location:     USA (Princeton University)
Moderated:    Yes
Subscription: 1. "SUB CHINA <Your full name>" to server
	      2. The moderator sends the list guidelines
	      3. send acknowledgement to moderator
Addresses:    1. List:           [email-masked]
	      2. Server:         [email-masked]
	      3. Organised by:   [email-masked] *
	      4. Moderator:      [email-masked]
		 * Tom Nimick and David C. Wright

CHINA-NT (China Net)
--------------------
Purpose:      For IFCSS (Independent Federation of Chinese
	      Students and Scholars)
Location:     USA (University of Georgia)
Moderated:    Currently no
Subscription: "SUB CHINA-NT <Your Full Name>" to server
Addresses:    1. List:          [email-masked]
	      2. Server:        [email-masked]
	      3. Organised by:  China-Net Management Comittee (CNMC)
	      4. Moderator:     [email-masked] (CNMC)

CHINANET
--------
Purpose:      Networking in China
Location:     USA (Texas A&M University)
Moderated:    No
Subscription: "SUB CHINANET <Your Full Name>" to server
Addresses:    1. List:          [email-masked]
	      2. Server:        [email-masked]
	      3. Organised by:  [email-masked] (Butch Kemper)

CHPOEM
------
Purpose:      Exchange and discuss your favourite Chinese poems
	      - classical or modern.
Location:     USA (State University of New York at Buffalo)
Moderated:    No
Subscription: "SUB CHPOEM-L <Your full name>" to server
Addresses:    List:      [email-masked]
	      Server:    [email-masked]
	      Listowner: [email-masked]  (Wang Xiaofei)

CND Canada
----------
Purpose:      Relay CND-Global for Canadian Readers, and
	      local news for and about Chinese in Canada
Location:     Canada (University of Victoria)
Moderated:    Yes
Subscription: "SUB CNC-L <Your Full Name>" to server
Addresses:    1. List:          [email-masked]
	      2. Server:        [email-masked]
	      3. Organised by:  CND
	      4. Moderator:     [email-masked] 

CND-EP
------
Purpose:      China News Digest - European/Pacific Branch
Location:     USA (Indiana University)
Moderated:    Yes
Subscription: "SUB CND-EP <Your Full Name>" to server
Addresses:    1. List:          [email-masked]
	      2. Server:        [email-masked]
	      3. Organised by:  CND
	      4. Moderator:     [email-masked] 

CND-Global (China News Digest - Global)
----------------------------------------
Purpose:      Provides daily news digest about what is
	      happening in China.
Location:     USA (Arizona State University)
Moderated:    Yes
Subscription: "SUB CHINA-NN <Your Full Name>" to server
Addresses:    1. List:          [email-masked]
	      2. Server:        [email-masked]
	      3. Organised by:  CND
	      4. Moderator:     [email-masked] 

CND-US (China News Digest - US)
-------------------------------
Purpose:      News and information for and about Chinese
	      students and scholars in the US
Location:     USA (Kent State University)
Moderated:    Yes
Subscription: "SUB CHINA-ND <Your Full Name>" to server
Addresses:    1. List:          [email-masked]
	      2. Server:        [email-masked]
	      3. Organised by:  CND
	      4. Moderator:     [email-masked] 

EMEDCH-L
--------
Purpose:      Discussions on Early Medieval China
Location:     USA (University of Southern California)
Moderated:    No
Subscription: "SUB EMEDCH-L <Your Full Name>" to server
Addresses:    1. List:          [email-masked]
	      2. Server:        [email-masked]
	      3. Organised by:  Ken Klein

TWUNIV-L
--------
Purpose:      Chinese Scholars and Students Discussion List.
	      Discussion on scholarly topics. No politics!
Location:     Taiwan (Ministry of Education)
Moderated:    No
Subscription: "SUB TWUNIV-L <Your Full Name>" to server
Addresses:    1. List:          [email-masked]
	      2. Server:        [email-masked]
	      3. Owner:         [email-masked]

ZHONGWEN
--------
Purpose:      Information and discussions on "Chinese Computing"
	      with special attention to Europe.
	      Also maintains a ftp archive for Chinese related
	      software.
Location:     Sweden (Royal Institute of Technology)
Moderated:    No
Subscription: E-mail to server (in natural language :-)
Addresses:    1. List:          [email-masked]
	      2. Server:        [email-masked]
	      3. Organised by:  [email-masked] (Lars E. Frederiksson)
				[email-masked] (Patrik Faltstrom)
	      4. FTP archive:   ftp.kth.se <130.237.72.201>
				directory: CJK

NIHONGO (Japanese Language Discussion List)
-------------------------------------------
Purpose:      Discussions on all aspects of the Japanese
	      language
Location:     USA (MIT)
Moderated:    no
Subscription: "SUB NIHONGO <Your Full Name>" to server
Addresses:    1. List:          [email-masked]
	      2. Server:        [email-masked]
	      3. Organised by:  [email-masked]
				(Steve Strassman)
--------------------------------------------------------------------------------
1019) How do you use these Chinese softwares with the email programs?

	You can directly mail a Chinese letter if the mailer would not strip
the most significant bits.  Unfortunately, most of the internet
mailers (SMTP) running today WILL do the stripping.  Inside my
company, all the eight bits in the bytes are transmitted intact.  So I
can enjoy sending Chinese e-mails internally.  I believe more and more
new SMTP programs will support full 8 bits since ASCII is no longer
the only information been transmitted.  Does anybody know about X.400?
Does it strip MSBs?  My guess is not.

One way of sending Chinese letters between Unix systems is to uuencode
the mails.  The receiving side needs to uudecode it to be able to read
it.  You can use other programs such as btoa/atob but they are not as
convenient as uuencode/uudecode.

--------------------------------------------------------------------------------
1020) Which Chinese editor support kterm? 

	Celvis works with kterm.  But I would suggest to use cxterm instead of
kterm.  The input conversion is builtin in cxterm, so the separated
input server for kterm is not needed in cxterm.  There is X11 font for
traditional Chinese characters, hku-ch16.

--------------------------------------------------------------------------------
1021) Does that mean Japanese are more influencial in X environment?
	than Chinese/Taiwanese/HKer?

	The problem is that no one directly submits Chinese font to X
Consortium for contribution.  And X Consortium doesn't take public
domain font.  I wonder if any Chinese/Taiwan/HK company wants to make
their copyrighted fonts available to X.  But Japanese and Korean did.
There are Japanese and Korean fonts in X11R5 distribution, but no
Chinese font.

--------------------------------------------------------------------------------
1022) How come the Japanese can read/post news in Japanese?

	The reason why you can e-mail Japanese letters and articles is 
that kterm supports Shift-EUC code.  The kterm input process would
automatically convert 8 bit code into 7 bit code by inserting a zero
bit every 7 bits.  The result is a file size increase of one seventh.
The kterm at the receiving end knows how to read Shift-EUC code.

	Again, the current design of cxterm does not provide such 
automatic shifting capability.  So you need to hand convert the 8 bit
representation to 7 bit representation by, say, uuencode.

	However, it is not entirely hopeless.  If you use emacs, or cxemacs
for cxterm, you probably can write some emacs lisp code to process the
conversion.  I have been thinking of doing that and I promise once I
get it done I will share with everybody.

--------------------------------------------------------------------------------
1023) What software do I need in order to bring up a Chinese xterm environment?

a) cxterm (Chinese xterm emulator) for displaying Chinese characters,
b) celvis (Chinese vi clone) or cemacs (Chinese emacs) for editing 
	Chinese text files,
c) Chinese fonts, like cclib16fs(simplified), hku-ch16(traditional,
d) Chinese input methods, like PinYin etc.  This is sometimes called
	dictionary, dicts, etc and may already be in the cxterm files.

	Be sure to ftp files names README or how-to-make for instructions on
how to build the softwares on your systems and what each file is.

--------------------------------------------------------------------------------
1024) Is there any TeX/LaTeX like Chinese document preparation system?

We have ChTeX and Poor Man's Chinese. The latest version is Simpson's
extension Poor Man's Chinese, which can deal with both GB and BIG-5.
It can be used just like english TeX/LaTeX: processed by normal "tex"
command (must be TeX3.1 or higher), previewed by normal "xdvi", print
out by usual "dvips" (not dvi2ps).

What you need is just to get those Chinese TeX/LaTeX fonts (tfm and
pk) and two TeX marcos (pmCs.tex and pmCb.tex) and put them somewhere
"tex" can find (define TEXINPUTS and TEXFONTS under unix). After that
every thing is just like the normal TeX/LaTeX. Of course, you would
have to use some chinese editor to edit those chinese (f.ex. cxterm).
Simpson's extension have the best set of traditional Chinese
characters I ever seen, and there is also possible for both GB and
BIG-5 appear in the same document which no other current system can do
it. It is also compatible with any other TeX/LaTeX command, so you can
use them as usual. This give Simpson's extension Poor Man's Chinese a
biggest advantage than other system---that means, "You can do it on
Chinese if you can do it on English!!!"

You can get the Chinese TeX/LaTeX fonts and marcos from ftp.math.psu.edu,
[128.118.24.22] under pub/simpson/chinese/pmc by the usual ftp(1C).

--------------------------------------------------------------------------------
1025) Where can I find the Chinese software?

a) Here are some useful anonymous ftp sites for Chinese related
software---
i) In USA:
ahkcus.org					[192.55.187.25]
	[Directories indicated in parentheses]
	Articles in BIG5 from HKU (big5/),
	IFCSS Newsletters in GB (gb/ifcss-nl/),
	CND Chinese Magazine in GB (gb/cnd-cm/, no articles in this
	directory yet),
	CND archives(English) (cnd-g/, cnd-us/, cnd-ca/, cnd-ep/)
	HKU Chinese News utilities (src/), GB<->BIG5 conversion
	utilities for unix and vms (src/, src/vms/),
	BYX1.1 Chinese Editor (src/)
blackbox.hacc.washington.edu			[128.95.200.1]
	pub/poorman/
	Poorman's TeX (Chinese and Japanese supported)
crl.nmsu.edu					[128.123.1.14]
	pub/chinese/
	pub/chinese/fonts/
	pub/misc/
	Chinese X11 fonts, ChTeX, this file, kterm 4.1.2,
	dvi2ps that works with ChTeX
	Poor Man's TeX (GB and Big5 support)
cs.purdue.edu					[128.10.2.1]
	pub/ygz/
	cxterm, celvis, cemacs, cless, cclib16* and hku-ch16 fonts. 
ftp.math.psu.edu				[128.118.24.22]
	pub/simpson/chinese/
	Poor Man's Chinese for BIG-5 traditional characters
	latest version of Cemacs
	beijing24.bdf and taipei24.bdf
	miscellaneous information about cxterm, etc.
ftphost.cac.washington.edu			[128.95.112.1]
	pub/
	chinese.tar.Z - assorted programs [some programs duplicated
			from june.cs.washington.edu]
hanauma.stanford.edu				[36.51.0.16]
	pub/zhongwen/
	beijing24.bdf, Pinyin pronunciation tables,
	Pinyin->GB code table
msdos.archive.umich.edu				[141.211.165.34]
	msdos/foreign_lang/chinese/
	Duke Chinese Typist (dct*.arc)
neon.stanford.edu				[36.28.0.92]
	anonymous ftp to that site has been disabled.  check other
	sites for ChTeX stuff, like crl.nmsu.edu.

ii) In Sweden:
kth.se						[130.237.72.201]
	Mirrors of some of the above sites and other stuff.
lunix.met.kth.se				[130.237.16.204]
	Mirrors almost all the chinese stoff. 
	Updating HXWZ with gb format.

b) In MIT X11R5 contrib directory---
	CXTERM 11.5.1 is part of X11R5 contrib software:
	X11R5/contrib/clients/cxterm/cxterm		X11R5 cxterm, fonts
	X11R5/contrib/clients/cxterm/utils/celvis	celvis source code

--------------------------------------------------------------------------------
1026) 	Are there any other Chinese oriented on-line service?	

	The Alliance of Hong Kong Chinese in the US (AHKCUS) maintains 
a mailing list for its members and people who are insterested in the
pro-democracy movement in China.  To subscribe please contact 
"[email-masked]" [192.55.187.25].

	Hong Kong Net (HKNet) can be reached by sending mail to
"[email-masked]" or "[email-masked]".  Please mail all
posting to HKnet to "[email-masked]".

	South East Asia Online is a free mailing list with interests 
in Southeastern Asia.  It covers areas from Burma/Myanmar to HK, Malaysia,
Singapore, Indonesia and Australia.  To subscribe, mail to 
"[email-masked]" or "[email-masked]" with a one line message 
"SUB SEASIA-L <your real-name>".  The service is made possible with 
the support of the Center for Asian Studies at Michigan State.

	China News Digest is a regular posting of lastest China news in
an on-line magazine format. To subscribe or get info,  mail to: 
"[email-masked]" or if you want to contribute, you can
send your mail to: "[email-masked]".

	China Study Forum can be reached at "[email-masked]"

	China Study Forum - Books review can be reached at 
"[email-masked]".

	HXWZ is a weekly electronic magazine in the Chinese language
published by China News Digest (CND).  To subscribe to CND Chinese Magazine: 
Send mail to  "[email-masked]" with a one line message,
"sub CCMAN-L <full name>".  To quit from CND Chinese Magazine:
Send mail to "[email-masked]" with a one line message "unsub CCMAN-L".
For more information, please contact "[email-masked]" and please 
include a one line message, "GET CMHELP INDEX".  The BITNET node name 
UGA.BITNET is equivalent to internet "uga.uga.edu".

--------------------------------------------------------------------------------
1027)  What is MULE?

Mule is a modified version of GNU Emacs 18.58, it is
distributed as a complete tar file or as a patch to 18.58.
Mule can support a larger set of characters sets, such as
Japanese, Chinese, Korean, and Europeans.

Mule can handle all these languages in the *same* buffer,
meaning that you can mix text from different languages.
(Neat if you are translating from one language to another.)

Mule supports the following inputting methods:
ENGLISH: Just type in. :-)
JAPANESE: You have plenty of choises.
	EGG, EGG-SJ3, CANNA (these are bundled with Mule),
	SKK, boiled-egg (these are in 'contrib' directory).
CHINESE, KOREAN, EUROPEAN:
	Please use 'quail' system bundled with Mule.

New input methods should not be that hard to write.  If you
run Mule under a specilized terminal emulator (such as
exterm or cxterm) which supports an input method you can use
that.

As for Chinese handling, please look into hz2gb.el in
contrib/lisp.tar.Z.  This allows quite convenient way to
read and post articles of newsgroup alt.chinese.text for a
GNUS user.

As for fonts of European characters, Mr. Takahashi
contributed 14dots and 24dots fonts for Latin1,2,3,4,5,
Greek and Cyrillic.  Those fonts are in fonts/ETL.tar.Z.

Mule is available by anonymous ftp from:

	etlport.etl.go.jp [192.31.197.99]:/pub/mule
	sh.wide.ad.jp [133.4.11.11]:/JAPAN/mule

If you are accessing from out of Japan, please use the
latter site, which is faster.  Either ftp the complete tar
file, *or* if you have an unmodified GNU Emacs 18.58 you can
ftp just the patch file diff-18.58-0.9.5 and apply that.

You can join the MULE mailing list by sending a mail to
Ken'ichi HANDA  at "[email-masked]".

-- 
John Ho from Dallas, Texas USA. ([email-masked])